Skip to main content
PATCH
Approve Expense Request

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

expense_request_id
string
required

Body

application/json
notes
string | null

Response

Successful Response

id
string
required
orgId
string
required
requesterId
string
required
requestType
string
required
paymentMethod
string
required
totalAmount
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
currency
string
required
status
string
required
paidAmount
string
default:0
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
usedAmount
string
default:0
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
supplierId
string | null
notes
string | null
linkedAdvanceRequestId
string | null
sourceTemplateId
string | null
createdAt
string | null
lineItems
LineItemResponse · object[]